Skip to content
NestSolver Docs
Browse the docs

Reference

Read a finished plan

GET /v1/plans/{id}

A nest's or load's plan and its exports: free.

Headers and parameters

Field Type Meaning
id (path) required string

Responses

Status When Body
200 The plan. Plan
401 No live API key. Errors
404 No such finished plan in the key's workspace. Errors
429 More than 300 free calls this minute (60 on Free), or more than 600 calls from this address. Errors
500 Something went wrong on our side; try again. Errors

Example

A sample request:

curl "https://api.nestsolver.com/v1/plans/<id>" \
  -H "Authorization: Bearer $NESTSOLVER_KEY"

A 200 answer, required fields only; lists show one item:

{
  "id": "0192f0c4-7d1e-7c3a-9b2e-5d6f7a8b9c0d",
  "kind": "nest",
  "created_at": "2026-03-14T09:12:44Z",
  "report": {
    "unit": "mm",
    "metrics": {
      "sheets": 1,
      "parts_placed": 1,
      "parts_requested": 1,
      "sheet_area": 0,
      "part_area": 0,
      "unused_area": 0,
      "utilization_percent": 0
    },
    "sheets": [
      {
        "sheet_row": 1,
        "width": 0,
        "height": 0,
        "material": "",
        "parts": [
          {
            "part_row": 1,
            "label": "Side panel",
            "x": 0,
            "y": 0,
            "angle_degrees": 0,
            "mirrored": false,
            "outline": [
              [
                0
              ]
            ],
            "holes": [
              [
                [
                  0
                ]
              ]
            ]
          }
        ]
      }
    ],
    "unplaced": [
      {
        "part_row": 1,
        "label": "Side panel",
        "count": 1
      }
    ],
    "cost_cents": 1,
    "explanation": "…"
  },
  "exports": {
    "dxf": "https://api.nestsolver.com/v1/plans/0192f0c4-7d1e-7c3a-9b2e-5d6f7a8b9c0d/exports/dxf"
  }
}